LOOK(1)

NAMN
look - visa rader som börjar med en given sträng

SYNOPSIS

look [flaggor] sträng [fil]

BESKRIVNING

Verktyget look visar alla rader i fil som innehåller sträng som prefix. Eftersom look utför en binär sökning måste raderna i fil sorteras (där sort(1) gavs samma flaggor -d och/eller -f som look anropas med).

Om fil inte anges används filen /usr/share/dict/words, endast alfanumeriska tecken jämförs och bokstavering av alfabetiska tecken ignoreras.

FLAGGOR

-a, --alternative
    Använd den alternativa ordboksfilen.

-d, --alphanum
    Använd normal teckenuppsättning och ordning för ordböcker, dvs. endast blanksteg och alfanumeriska tecken jämförs. Detta är aktiverat som standard om ingen fil har angetts.

    Observera att blanksteg har lagts till i ordbokens teckenuppsättning för kompatibilitet med kommandot sort -d sedan version 2.28.

-f, --ignore-case
    Ignorera alfabetiska teckens bokstäver. Detta är aktiverat som standard om ingen fil anges.

-t, --terminate character
    Ange ett tecken som avslutar strängen, dvs. endast tecknen i sträng till och med den första förekomsten av tecken jämförs.

-h, --help
    Visa hjälptext och avsluta.

-V, --version
    Visa version och avsluta.

AVSLUTSSTATUS

Verktyget look avslutas med 0 om en eller flera rader har hittats och visats, 1 om inga rader har hittats och >1 om ett fel har inträffat.

MILJÖ

WORDLIST
    Sökväg till en ordboksfil. Miljövariabeln har högre prioritet än den sökväg till ordboken som definieras i segmentet FILES.

FILER

/usr/share/dict/ord
    ordboken

/usr/share/dict/web2
    den alternativa ordboken

HISTORIK

Verktyget look dök upp i version 7 av AT&T Unix.

EXEMPEL

    sort -d /etc/passwd -o /tmp/look.dict
    look -t: root:foobar /tmp/look.dict

SE ÄVEN

grep(1), sort(1)

FELRAPPORTERING

För felrapporter, använd

TILLGÄNGLIGHET

Kommandot look ingår i paketet util-linux som kan hämtas från